! loads the coefficient array.
!======================================================================
subroutine setupcoeff(coeff)

  implicit none
  include 'param.f90'
  integer k,n,blocksize 
  character*80 fn
  integer readwrite,group,fpixel,nelements,status,unit,junk
  logical er
  real coeff(nx,ny,nz_max,ncoeff)
  real rfull(nx,ny,nz_ghostglobal)

  readwrite=0	
  blocksize=1
  group=1
  fpixel=1
  status=0
  nelements=nx*ny*nz_ghostglobal
  fn="coeff_wavesim.fits" 
  if(my_rank .eq. 0)  then 
     call ftgiou(unit,status)
     call ftopen(unit,fn,readwrite,blocksize,status)
  endif

  do k=1,ncoeff
     if(my_rank .eq. 0)  then
        call FTMAHD(unit,k,junk,status)
	call ftgpve(unit,group,fpixel,nelements,0.,rfull,er,status)
     endif
     coeff(:,:,:,k)=rfull
  enddo
  if(my_rank .eq. 0) then 
      call ftclos(unit, status)
      call ftfiou(unit, status)
  endif
end subroutine setupcoeff
