integer step
!common/integrator/ step

real dt
real rd(nx,ny,nz_max,nvar)
real rrho(nx,ny,nz_max)
real rpress(nx,ny,nz_max)
real coeff(nx,ny,nz_max,ncoeff)       
complex fd(nx/2+1,ny,nz_max,nvar)      
complex dfddt(nx/2+1,ny,nz_max,nvar)      
complex ider(nx/2+1,ny,nz_max,3)
complex diff(nx/2+1,ny,nz_max)
real rvtemp(nx,ny,nz_max,3)       
complex fvtemp(nx/2+1,ny,nz_max,3)      
complex fpress(nx/2+1,ny,nz_max)
complex frho(nx/2+1,ny,nz_max)
real drddt(nx,ny,nz_max,nvar)
complex diffdfddt(nx/2+1,ny,nz_max,nvar)
real meandens(nz_max)
real bc(nx/2+1,ny)

complex fdB(nx/2+1,ny,nz_max,3)

complex fdU(nx/2+1,ny,nz_max,3)
real rdU(nx,ny,nz_max,3)


complex fB0(nx/2+1,ny,nz_max,3)
real rdB(nx,ny,nz_max,3)
real rB0(nx,ny,nz_max,3)
complex fdJ(nx/2+1,ny,nz_max,3)
real rdJ(nx,ny,nz_max,3)
complex fJ0(nx/2+1,ny,nz_max,3)
real rJ0(nx,ny,nz_max,3)
complex fLor(nx/2+1,ny,nz_max,3)
real rLor(nx,ny,nz_max,3)
complex fInertia(nx/2+1,ny,nz_max,3)
real rInertia(nx,ny,nz_max,3)



common/data/                      &
rd,                               & 
rrho,                             &
rpress,                           &
coeff,                            &
fd,                               &
dfddt,                            &
ider,                             &
diff,                             &
rvtemp,                           &
fvtemp,                           &
fpress,                           &
frho,                             &
drddt,                            &
diffdfddt,                        &
meandens,                         &
bc,                               &
fdB,                              &
rdB,                              &
rdU,                              &
fdU,                              &
fB0,                              &
rB0,                              &
fdJ,                              &
rdJ,                              &
fJ0,                              &
rJ0,                              &                              
fLor,                             &
rLor,                             &
fInertia,                         &
rInertia,                         &
dt,                               &
step


integer*8                         &
     plan_r2fd_1,                 &
     plan_r2fd_2,                 &
     plan_r2fd_3,                 &
     plan_r2fd_4,                 &
     plan_r2fd_5,                 &
     plan_r2fd_6,                 &
     plan_r2fvtemp_1,             &
     plan_r2fvtemp_2,             &
     plan_r2fvtemp_3,             &
     plan_r2fpress,               &
     plan_r2frho,                 &
     plan_r2fddt_4,               &
     plan_r2fddt_5,               &
     plan_r2fddt_6,               &
     plan_f2rd_1,                 &                        
     plan_f2rd_2,                 &
     plan_f2rd_3,                 &
     plan_f2rd_4,                 &
     plan_f2rd_5,                 &
     plan_f2rd_6,                 &
     plan_f2rpress,               &
     plan_f2rrho,                 &
     plan_f2rvtemp_1,             &
     plan_f2rvtemp_2,             &
     plan_f2rvtemp_3,             &
     plan_f2rdb_1,             &
     plan_f2rdb_2,             &
     plan_f2rdb_3,             &
     plan_f2rdJ_1,             &
     plan_f2rdJ_2,             &
     plan_f2rdJ_3,             &
     plan_r2fdb_1,             &
     plan_r2fdb_2,             &
     plan_r2fdb_3,             &
     plan_r2fdJ_1,             &
     plan_r2fdJ_2,             &
     plan_r2fdJ_3,             &
     plan_r2fb0_1,             &
     plan_r2fb0_2,             &
     plan_r2fb0_3,             &
     plan_r2fdU_1,             &
     plan_r2fdU_2,             &
     plan_r2fdU_3           
      
common/plans/                     &
     plan_r2fd_1,                 &
     plan_r2fd_2,                 &
     plan_r2fd_3,                 &
     plan_r2fd_4,                 &
     plan_r2fd_5,                 &
     plan_r2fd_6,                 &
     plan_r2fvtemp_1,             &
     plan_r2fvtemp_2,             &
     plan_r2fvtemp_3,             &
     plan_r2fpress,               &
     plan_r2frho,                 &
     plan_r2fddt_4,               &
     plan_r2fddt_5,               &
     plan_r2fddt_6,               &
     plan_f2rd_1,                 &
     plan_f2rd_2,                 &
     plan_f2rd_3,                 &
     plan_f2rd_4,                 &
     plan_f2rd_5,                 &
     plan_f2rd_6,                 &
     plan_f2rpress,               &
     plan_f2rrho,                 &
     plan_f2rvtemp_1,             &
     plan_f2rvtemp_2,             &
     plan_f2rvtemp_3,             &
     plan_f2rdb_1,                &
     plan_f2rdb_2,                &
     plan_f2rdb_3,                &
     plan_f2rdJ_1,                &
     plan_f2rdJ_2,                &
     plan_f2rdJ_3,                &
     plan_r2fdb_1,                &
     plan_r2fdb_2,                &
     plan_r2fdb_3,                &
     plan_r2fdJ_1,                &
     plan_r2fdJ_2,                &
     plan_r2fdJ_3,                &
     plan_r2fb0_1,                &
     plan_r2fb0_2,                &
     plan_r2fb0_3,                &
     plan_r2fdU_1,                &
     plan_r2fdU_2,                &
     plan_r2fdU_3
          
             
                   





!=====================================================================
